
import hiero.core
import hiero.ui
import sys
print sys.argv
################################################################################
# README
# 
# This is an example script that demonstrated how to implement a Hiero Flipbook
################################################################################
def generateClip(path, minFrame, maxFrame):
  project = hiero.core.projects()[-1]
  bin = hiero.core.Bin("flipbookBin")
  project.clipsBin().addItem(bin)
  clip = hiero.core.Clip(path, minFrame, maxFrame)
  clipBinItem = hiero.core.BinItem(clip)
  bin.addItem(clipBinItem)
  return clip
	
def playClip(clip, lut, burnIn):
  cv = hiero.ui.currentViewer()
  playerIndex = 0
  p = cv.player(playerIndex)
  cv.setSequence(clip, playerIndex)
  if burnIn== "True":
  	p.setLUT('None')
  elif lut:
  	p.setLUT(lut)
  cv.play()


sourcePath = sys.argv[1]
minFrame = int(sys.argv[2])
maxFrame = int(sys.argv[3])
lut = sys.argv[4]
burnIn = sys.argv[5]

clip = generateClip(sourcePath,minFrame,maxFrame)
playClip(clip, lut, burnIn)






